Ruby: rb_control_frame_struct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
rb_control_frame_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
const VALUE * | pc
VALUE * | sp
const rb_iseq_t * | iseq
VALUE | self
const VALUE * | ep
const void * | block_code
VALUE * | __bp__

## Detailed Description

Definition at line 769 of file vm_core.h.

## Field Documentation

## ◆ __bp__

VALUE* rb_control_frame_struct::__bp__

Definition at line 776 of file vm_core.h.

## ◆ block_code

const void* rb_control_frame_struct::block_code

Definition at line 775 of file vm_core.h.

Referenced by rb_execution_context_mark(), and rb_execution_context_update().

## ◆ ep

const VALUE* rb_control_frame_struct::ep

Definition at line 774 of file vm_core.h.

Referenced by Init_VM(), rb_execution_context_mark(), rb_execution_context_update(), rb_vm_cbase(), rb_vm_cref_in_context(), rb_vm_cref_replace_with_duplicated_cref(), rb_vm_frame_method_entry(), rb_vm_lvar_exposed(), rb_vm_pop_cfunc_frame(), rb_vm_pop_frame(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), and rb_vmdebug_thread_dump_state().

## ◆ iseq

const rb_iseq_t* rb_control_frame_struct::iseq

Definition at line 772 of file vm_core.h.

Referenced by Init_VM(), rb_current_realfilepath(), rb_execution_context_mark(), rb_execution_context_update(), rb_method_definition_set(), rb_profile_frames(), rb_source_location(), rb_sourcefile(), rb_tracearg_parameters(), rb_vm_get_binding_creatable_next_cfp(), rb_vm_get_sourceline(), rb_vm_make_binding(), rb_vm_set_progname(), rb_vmdebug_debug_print_pre(), and rb_vmdebug_debug_print_register().

## ◆ pc

const VALUE* rb_control_frame_struct::pc

Definition at line 770 of file vm_core.h.

Referenced by Init_VM(), rb_profile_frames(), rb_vm_get_sourceline(), rb_vmdebug_debug_print_register(), and rb_vmdebug_thread_dump_state().

## ◆ self

VALUE rb_control_frame_struct::self

Definition at line 773 of file vm_core.h.

Referenced by Init_VM(), rb_current_receiver(), rb_execution_context_mark(), rb_execution_context_update(), rb_raise_jump(), rb_threadptr_execute_interrupts(), rb_vm_cref_in_context(), rb_vm_make_binding(), and rb_vm_pop_cfunc_frame().

## ◆ sp

VALUE* rb_control_frame_struct::sp

Definition at line 771 of file vm_core.h.

Referenced by rb_execution_context_mark(), rb_execution_context_update(), rb_vm_call_cfunc(), rb_vm_each_stack_value(), rb_vmdebug_debug_print_pre(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), and rb_vmdebug_thread_dump_state().

The documentation for this struct was generated from the following file:

- vm_core.h